Subject: Re: linux-next: manual merge of the tpmdd tree with the crypto tree

From: Jarkko Sakkinen <[email-masked]>
Date: Mon, 23 May 2022 22:57:21 +0300

On Fri, May 20, 2022 at 04:57:01PM +1000, Stephen Rothwell wrote:
> Hi all,
> 
> Today's linux-next merge of the tpmdd tree got a conflict in:
> 
>   drivers/crypto/caam/Kconfig
> 
> between commit:
> 
>   0aa6ac7795ca ("crypto: caam/rng - Add support for PRNG")
> 
> from the crypto tree and commit:
> 
>   5e785783ddb0 ("crypto: caam - add in-kernel interface for blob generator")
> 
> from the tpmdd tree.
> 
> I fixed it up (see below) and can carry the fix as necessary. This
> is now fixed as far as linux-next is concerned, but any non trivial
> conflicts should be mentioned to your upstream maintainer when your tree
> is submitted for merging.  You may also want to consider cooperating
> with the maintainer of the conflicting tree to minimise any particularly
> complex conflicts.
> 
> -- 
> Cheers,
> Stephen Rothwell
> 
> diff --cc drivers/crypto/caam/Kconfig
> index 0aa52b612a01,ea9f8b1ae981..000000000000
> --- a/drivers/crypto/caam/Kconfig
> +++ b/drivers/crypto/caam/Kconfig
> @@@ -151,14 -151,9 +151,17 @@@ config CRYPTO_DEV_FSL_CAAM_RNG_AP
>   	  Selecting this will register the SEC4 hardware rng to
>   	  the hw_random API for supplying the kernel entropy pool.
>   
>  +config CRYPTO_DEV_FSL_CAAM_PRNG_API
>  +	bool "Register Pseudo random number generation implementation with Crypto API"
>  +	default y
>  +	select CRYPTO_RNG
>  +	help
>  +	  Selecting this will register the SEC hardware prng to
>  +	  the Crypto API.
>  +
> + config CRYPTO_DEV_FSL_CAAM_BLOB_GEN
> + 	bool
> + 
>   endif # CRYPTO_DEV_FSL_CAAM_JR
>   
>   endif # CRYPTO_DEV_FSL_CAAM

Herbert, so I pulled the whole patch set. How should we work out this?

I sent PR before seeing this:

https://lore.kernel.org/linux-integrity/[email-masked]/T/#u

BR, Jarkko